<?php
/**
 * @package n3t Contact plugin
 * @author Pavel Poles - n3t.cz
 * @copyright (C) 2014 - 2017 - Pavel Poles - n3t.cz
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die;

class ContactViewN3tContact extends JViewLegacy
{
	protected $form;

	protected $item;

	protected $return_page;

	public function display($tpl = null)
	{
		$user       = JFactory::getUser();
		$item       = $this->get('Item');
		$this->form = $this->get('Form');
		
		$params = JComponentHelper::getParams('com_contact');

		if ($item)
			$params->merge($item->params);
		
		if (count($errors = $this->get('Errors')))
		{
			JError::raiseWarning(500, implode("\n", $errors));

			return false;
		}
		
		$groups	= $user->getAuthorisedViewLevels();

		$return = '';

		if ((!in_array($item->access, $groups)) || (!in_array($item->category_access, $groups)))
		{
			JError::raiseWarning(403, JText::_('JERROR_ALERTNOAUTHOR'));
			return;
		}

		$this->contact  = &$item;
		$this->params   = &$params;
		$this->return   = &$return;

		$model = $this->getModel();
		$model->hit();
    
    $result = $this->loadTemplate($tpl);
		if ($result instanceof Exception)
			return '';
		return $result;		
	}
  
}
